<template>
  <div class="user">
    <div>
      <label for="password">Password :</label>
      <input id="password" v-model="password">
    </div>
    <div>
      <label for="name">Name :</label>
      <input id="name" v-model="name">
    </div>
    <div>
      <label for="email">Email :</label>
      <input id="email" v-model="email">
    </div>
    <div>
      <label for="token">Token :</label>
      <input id="token" v-model="token">
    </div>
    <v-btn @click="createUser">
      <v-icon>create</v-icon>
    </v-btn>
  </div>
</template>

<script>
import axios from "axios"
import config from "@/config"

export default {
  name: "user",
  data() {
    return {
      password: null,
      name: null,
      email: null,
      token: null
    }
  },
  methods: {
    createUser() {
      axios.post(`${config.apiUrl}/users`, {
        password: this.password,
        user: {
          name: this.name,
          email: this.email,
          token: this.token
        }
      })
    }
  }
}
</script>

